"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const filewriter_1 = require("./filewriter");
const logging_1 = require("@hibas123/logging");
class LoggingExtended extends logging_1.LoggingBase {
    constructor(config = {}) {
        super(config);
        if (typeof config === "string" || config.files !== false) {
            let logfile;
            let errorfile;
            if (typeof config !== "string" && typeof config.files === "object") {
                logfile = config.files.logfile;
                errorfile = config.files.errorfile;
            }
            else {
                let name = this.name ? "." + this.name : "";
                logfile = `./logs/all${name}.log`;
                errorfile = `./logs/error${name}.log`;
            }
            if (logfile) {
                this.addAdapter(new filewriter_1.LoggingFiles(logfile));
            }
            if (errorfile) {
                this.addAdapter(new filewriter_1.LoggingFiles(errorfile, true));
            }
        }
    }
}
exports.LoggingExtended = LoggingExtended;
exports.Logging = undefined;
if (process.env.LOGGING_NO_DEFAULT !== "true") {
    exports.Logging = new LoggingExtended();
}
exports.default = exports.Logging;
//# sourceMappingURL=index.js.map